=== modified file 'bzrlib/tests/blackbox/test_mv.py'
--- bzrlib/tests/blackbox/test_mv.py	2007-11-01 09:52:45 +0000
+++ bzrlib/tests/blackbox/test_mv.py	2007-11-06 04:33:38 +0000
@@ -272,7 +272,8 @@
         self.build_tree(['a']) #touch a
         self.run_bzr_error(
             ["^bzr: ERROR: Could not rename a => b because both files exist."
-             " \(Use --after to update the Bazaar id\)$"],
+             " \(Use --after to tell bzr about a rename that has already"
+             " happened\)$"],
             'mv a b')
         self.failUnlessExists('a')
         self.failUnlessExists('b')
@@ -320,8 +321,9 @@
         self.build_tree(['a2']) #touch a2
 
         self.run_bzr_error(
-            ["^bzr: ERROR: Could not rename a1 => sub/a1 because both files exist."
-             " \(Use --after to update the Bazaar id\)$"],
+            ["^bzr: ERROR: Could not rename a1 => sub/a1 because both files"
+             " exist. \(Use --after to tell bzr about a rename that has already"
+             " happened\)$"],
             'mv a1 a2 sub')
         self.failUnlessExists('a1')
         self.failUnlessExists('a2')

